{% extends 'index.html' %}
{% load static %}






{% block content %}

<div class="container">
    <div class="b">
      <div class="columns is flex is-justify-content-center">
        <div class="column is-6">
          <form action="#" method="GET" class="is-flex">
            <input type="search" name="search" class="input">
            <button class="button is-light">Search</button>
          </form>
        </div>
      </div>
    </div>
  </div>




  <div class="tovars">
    <button class="button is-primary"><i class="fa-solid fa-house-user"></i>ㅤTop Stories</button>
    <br>
    <button class="button is-light"><i class="fa-solid fa-globe"></i>ㅤAround The World</button>
    <br>
    <a class="button is-light" href="http://127.0.0.1:8000/category/business/"><i class="fa-sharp fa-solid fa-briefcase"></i>ㅤBusinessㅤㅤ</a>
    <br>
    <a class="button is-light" href="http://127.0.0.1:8000/category/health/"><i class="fa-solid fa-heart-pulse"></i>ㅤHealthㅤㅤㅤ</a>
    <br>
    <br>
    <a class="button is-light" href="http://127.0.0.1:8000/category/covid-19/"><i class="fa-solid fa-virus-covid"></i>ㅤCovid-19ㅤㅤ</a>
    <br>
    <button class="button is-light"><i class="fa-solid fa-bell"></i>ㅤNotifications</button>
    <br>
    <button class="button is-light"><i class="fa-solid fa-comment"></i>ㅤCommentsㅤ</button>
    <br>
    <a class="button is-light" href="#"><i class="fa-solid fa-gear"></i>ㅤSettingsㅤㅤ</a>
  </div>

  <p class="title has-text-centered is-2">Top stories for you</p>
  <br>

  <button style="margin-left: 35%; border: 0.2px solid #FFFFFF;
box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.04);
border-radius: 20px;" class="button is-primary">All</button>
<button style="border: 0.2px solid #FFFFFF;
box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.04);
border-radius: 20px;" class="button is-light">Android</button>
<button style="border: 0.2px solid #FFFFFF;
box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.04);
border-radius: 20px;" class="button is-light">Cricket</button>
<button style="border: 0.2px solid #FFFFFF;
box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.04);
border-radius: 20px;" class="button is-light">iPhone</button>
<button style="border: 0.2px solid #FFFFFF;
box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.04);
border-radius: 20px;" class="button is-light">Google</button>
<button style="border: 0.2px solid #FFFFFF;
box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.04);
border-radius: 20px;" class="button is-light">Nano technology</button>
  
  <hr>
  <div class="column is-flex is-justify-content-space-around"> 
    {% for posts in post %}
    <div class="columns" > 
      <a href="{{posts.get_absolute_url}}">
      <div class="column ">
      <div class="card " style="width: 350px; height: 500px; border-radius: 20px;">
          <div class="card-image">
            <figure class="image is-4by3" >
              <img src="{{ posts.image.url }}"style="border-radius: 20px 20px 0px 0px;" >
            </figure>
          </div>
          <div class="card-content">
            <div class="media">
            
              <div class="media-content">
                <p class="title is-4">{{ posts.title  }}</p> 
           
              </div>
            </div>
  
                <p>{{ posts.description }}</p>
           
              <br>
             <p>{{ posts.date|date:"j D F, Y"}}</p>
            </div>
          </div>
        </div>
        </a>
      </div>
         {% endfor %}
    </div>

<br><br>
            
    <p class="title has-text-centered is-2">Ads</p>

<hr>




{% endblock content %}